/******************************************************************************\
 *  This sample is supplied as is with no implied warranty.  
 *  It is designed to assist you in using the Cisco AnyConnect VPN API. 
 *  It is assumed that you will build a production application and 
 *  refer to this sample as a reference only.
 \*****************************************************************************/

#pragma once

#include "stdafx.h"
#include "MainDialog.h"
// PromptDialog dialog

class PromptDialog : public CDialog
{
	DECLARE_DYNAMIC(PromptDialog)

public:
	PromptDialog(MainDialog* pParent = NULL);   // standard constructor
	virtual ~PromptDialog();

// Dialog Data
	enum { IDD = IDD_PROMPTDIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
    MainDialog *parentWindow;

	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnEnChangeEdit1();
    afx_msg void OnEnChangeEdit2();
    afx_msg void OnEnChangeEdit3();
    afx_msg void OnBnClickedOk();

    CString m_text1;
    CString m_text2;
    CString m_text3;
};
